Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`relay`.`DomainQueuer``

class documentation

`class DomainQueuer: (source)`

Constructor: `DomainQueuer(service, authenticated)`

View In Hierarchy

An SMTP domain which add messages to a queue intended for relaying.

Method | `__init__` | Undocumented
Method | `exists` | Check whether mail can be relayed to a user.
Method | `startMessage` | Create an envelope and a message receiver for the relay queue.
Method | `willRelay` | Check whether we agree to relay.
Instance Variable | `authed` | Undocumented
Instance Variable | `service` | Undocumented

def __init__(self, service, authenticated=False): (source)

Undocumented

def exists(self, user): (source)

Check whether mail can be relayed to a user.

Parameters
user:`User` | A user.
Returns
no-argument callable which returns `IMessage` provider | A function which takes no arguments and returns a message receiver for the user.
Raises
`SMTPBadRcpt` | When mail cannot be relayed to the user.

def startMessage(self, user): (source)

Create an envelope and a message receiver for the relay queue.

Parameters
user:`User` | A user.
Returns
`IMessage` | A message receiver.

def willRelay(self, address, protocol): (source)

Check whether we agree to relay.

The default is to relay for all connections over UNIX sockets and all connections from localhost.

authed = (source)

Undocumented

service = (source)

Undocumented